PDF::API3::Compat::API2::Basic::TTF::Maxp(3)

NAME
PDF::API3::Compat::API2::Basic::TTF::Maxp - Maximum Profile table in a font

DESCRIPTION
A collection of useful instance variables following the TTF standard. Probably the most used being "numGlyphs". Note that this particular value is foundational and should be kept up to date by the application, it is not updated by "update".

Handles table versions 0.5, 1.0

INSTANCE VARIABLES
No others beyond those specified in the standard:

    numGlyphs
    maxPoints
    maxContours
    maxCompositePoints
    maxCompositeContours
    maxZones
    maxTwilightPoints
    maxStorage
    maxFunctionDefs
    maxInstructionDefs
    maxStackElements
    maxSizeOfInstructions
    maxComponentElements
    maxComponentDepth

METHODS

  $t->read
Reads the table into memory

  $t->out($fh)
Writes the table to a file either from memory or by copying.

  $t->update
Calculates all the maximum values for a font based on the glyphs in the font. Only those fields which require hinting code interpretation are ignored and left as they were read.

BUGS
None known

AUTHOR
Martin Hosken Martin_Hosken@sil.org. See PDF::API3::Compat::API2::Basic::TTF::Font for copyright and licensing.